<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: Tab</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: Tab</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>Tab<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description"><p>Individual tabs component</p></div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="Tab"><span class="type-signature"></span>new Tab<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Tab.js.html">Tab.js</a>, <a href="Tab.js.html#line9">line 9</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="onClick"><span class="type-signature"></span>onClick<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Passes name of a selected tab to parent</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Tab.js.html">Tab.js</a>, <a href="Tab.js.html#line21">line 21</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="render"><span class="type-signature"></span>render<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Renders individual tabs</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Tab.js.html">Tab.js</a>, <a href="Tab.js.html#line31">line 31</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="-_1.html">_1</a></li><li><a href="-_2.html">_2</a></li><li><a href="AnnotationMetricsFilters.html">AnnotationMetricsFilters</a></li><li><a href="AnnotationsDistribution.html">AnnotationsDistribution</a></li><li><a href="AxiomFrequencyDistribution.html">AxiomFrequencyDistribution</a></li><li><a href="AxiomMetricsFilters.html">AxiomMetricsFilters</a></li><li><a href="AxiomTypesDistribution.html">AxiomTypesDistribution</a></li><li><a href="ChartPopup.html">ChartPopup</a></li><li><a href="ClassesFrequencyDistribution.html">ClassesFrequencyDistribution</a></li><li><a href="ClassExpressionTypeMetricsFilters.html">ClassExpressionTypeMetricsFilters</a></li><li><a href="DetailMetricsFilters.html">DetailMetricsFilters</a></li><li><a href="DLConstructsDistribution.html">DLConstructsDistribution</a></li><li><a href="DomainRangeDefinitionDistribution.html">DomainRangeDefinitionDistribution</a></li><li><a href="EntitiyMetricsFilters.html">EntitiyMetricsFilters</a></li><li><a href="Home.html">Home</a></li><li><a href="InstancesFrequencyDistribution.html">InstancesFrequencyDistribution</a></li><li><a href="Navigation.html">Navigation</a></li><li><a href="OntologiesTableClass.html">OntologiesTableClass</a></li><li><a href="OWL2ProfilesAndReasoning.html">OWL2ProfilesAndReasoning</a></li><li><a href="OWL2ProfilesDistribution.html">OWL2ProfilesDistribution</a></li><li><a href="ResourceFilter.html">ResourceFilter</a></li><li><a href="Tab.html">Tab</a></li><li><a href="Tabs.html">Tabs</a></li><li><a href="TaxonomyMetricsFilters.html">TaxonomyMetricsFilters</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Apr 11 2021 17:29:26 GMT+0200 (stredoeurópsky letný čas)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>